#standard equipment type config file
#    
#     Shoto Battery(sampled by NGMC Board)
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: RS485 Sampler
#               Relevant Equipment List:BMS Group 
#
#
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID			Group Type Flag		Type Name			Type Name Resource ID
3102				0			ShotoBMS			1

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
10

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SID	Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List	Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression	Value Range			Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
1	Battery Voltage				7			V		1			1			F			NA			NA			NA			0.0/64.0			W/L				NA			1			.2			NA
2	Battery Current				8			A		1			2			F			NA			NA			NA			-100.0/100.0			W/L				NA			2			.1			NA
3	Battery Capacity			9			Ah		1			3			F			NA			NA			NA			0.0/200.0			W/L				NA			3			.1			NA
4	Capacity Percent(SOC)			10			%		1			4			F			NA			NA			NA			0.0/100.0			W/L				NA			4			.1			NA
6	Battery Center Temperature(AVE)		12			deg.C		1			5			F			NA			NA			NA			-40.0/120.0			W/L				NA			5			.1			NA
7	Ambient Temperature			13			deg.C		1			6			F			NA			NA			NA			-40.0/120.0			W/L				NA			6			.1			NA
8	Battery Rated Capacity			2			Ah		1			7			F			NA			NA			NA			0.0/200.0			W/L				NA			7			.1			NA
9	Battey State Of Health			37			%		1			8			F			NA			NA			NA			0.0/100.0			W/L				NA			8			.1			NA
99	Interrupt State				3			NA		1			9			E			NA			NA			NA			[ID5=OK]/[ID6=NoResponse]		NA			NA			99			NA			NA
100	Existence State				4			NA		1			10			E			NA			NA			NA			[ID5=Existent]/[ID6=Not Existent]	NA			NA			100			NA			NA
101	Cell Over Voltage Alarm			31			NA		1			11			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			101			NA			NA
102	Cell Under Voltage Alarm		32			NA		1			12			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			102			NA			NA
103	Battery Over Voltage Alarm		33			NA		1			13			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			103			NA			NA
104	Battery Under Voltage Alarm		34			NA		1			14			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			104			NA			NA
105	Charge Over Current Alarm		35			NA		1			15			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			105			NA			NA
106	Discharge Over Current Alarm		36			NA		1			16			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			106			NA			NA
109	High Ambient Temperature Alarm		39			NA		1			17			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			109			NA			NA
110	Low Ambient Temperature Alarm		40			NA		1			18			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			110			NA			NA
111	Charge High Temperature Alarm		41			NA		1			19			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			111			NA			NA
112	Charge Low Temperature Alarm		42			NA		1			20			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			112			NA			NA
113	Discharge High Temperature Alarm	43			NA		1			21			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			113			NA			NA
114	Discharge Low Temperature Alarm		44			NA		1			22			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			114			NA			NA
115	Low Battery Capacity Alarm		45			NA		1			23			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			115			NA			NA
116	High Voltage Difference Alarm		46			NA		1			24			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			116			NA			NA
117	Cell Over Voltage Protect		47			NA		1			25			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			117			NA			NA
118	Battery Over Voltage Protect		48			NA		1			26			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			118			NA			NA
119	Cell Under Voltage Protect		49			NA		1			27			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			119			NA			NA
120	Battery Under Voltage Protect		50			NA		1			28			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			120			NA			NA
121	Charge High Current Protect		51			NA		1			29			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			121			NA			NA
122	Charge Very High Current Protect	52			NA		1			30			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			122			NA			NA
123	Discharge High Current Protect		53			NA		1			31			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			123			NA			NA
124	Discharge Very High Current Protect	54			NA		1			32			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			124			NA			NA
125	Short Circuit Protect			55			NA		1			33			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			125			NA			NA
126	Charge High Temperature Protect		57			NA		1			34			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			126			NA			NA
127	Charge Low Temperature Protect		58			NA		1			35			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			127			NA			NA
128	Discharge High Temperature Protect	59			NA		1			36			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			128			NA			NA
129	Discharge Low Temperature Protect	60			NA		1			37			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			129			NA			NA
130	Front End Sample Communication Fault	61			NA		1			38			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			130			NA			NA
131	Temperature Sensor Disconnect Fault	62			NA		1			39			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			131			NA			NA
132	Charge MOS Fault			63			NA		1			40			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			132			NA			NA
133	Discharge MOS Fault			64			NA		1			41			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		NA				NA			133			NA			NA
134	Charging				65			NA		1			42			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			134			NA			NA
135	Discharging				66			NA		1			43			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			135			NA			NA
136	Charging MOS Breakover			67			NA		1			44			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			136			NA			NA
137	Discharging MOS Breakover		68			NA		1			45			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			137			NA			NA
138	Current Limit Activation		69			NA		1			46			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			138			NA			NA
139	SR Status				70			NA		1			47			E			NA			NA			NA			[ID30=No]/[ID29=Yes]		W/L				NA			139			NA			NA
140	Communication Address			71			NA		1			48			U			NA			NA			NA			NA				NA				NA			140			NA			NA

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action	Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
1

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression		Persistence Falg	On Control Action	Disp Exp
10		Rated Capacity				2			Ah		-1				-3			F			200			50/50000			NA				NA				NA			E			2			.0			-3			10		NA				1			NA			NA


#2.4 Define the Alarm Singals
[ALARM_NUM]
6

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name				Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay		Suppressing Expression	Relay ID
1		Communication Fail			3				CA		[0,0,99] == 1		NA			NA			NA
2		Cell Over Voltage Alarm			31				NA		[0,0,101] == 1		NA			[0,3,1]			NA
3		Cell Under Voltage Alarm		32				NA		[0,0,102] == 1		NA			[0,3,1]			NA
4		Battery Over Voltage Alarm		33				CA		[0,0,103] == 1		NA			[0,3,1]			NA
5		Battery Under Voltage Alarm		34				CA		[0,0,104] == 1		NA			[0,3,1]			NA
6		Charge Over Current Alarm		35				MA		[0,0,105] == 1		NA			[0,3,1]			NA
7		Discharge Over Current Alarm		36				MA		[0,0,106] == 1		NA			[0,3,1]			NA
10		High Ambient Temperature Alarm		39				OA		[0,0,109] == 1		NA			[0,3,1]			NA
11		Low Ambient Temperature Alarm		40				OA		[0,0,110] == 1		NA			[0,3,1]			NA
12		Charge High Temperature Alarm		41				OA		[0,0,111] == 1		NA			[0,3,1]			NA
13		Charge Low Temperature Alarm		42				OA		[0,0,112] == 1		NA			[0,3,1]			NA
14		Discharge High Temperature Alarm	43				MA		[0,0,113] == 1		NA			[0,3,1]			NA
15		Discharge Low Temperature Alarm		44				OA		[0,0,114] == 1		NA			[0,3,1]			NA
16		Low Battery Capacity Alarm		45				MA		[0,0,115] == 1		NA			[0,3,1]			NA
17		High Voltage Difference Alarm		46				CA		[0,0,116] == 1		NA			[0,3,1]			NA
18		Front End Sample Communication Fault	54				CA		[0,0,130] == 1		NA			[0,3,1]			NA
19		Temperature Sensor Disconnect Fault	55				MA		[0,0,131] == 1		NA			[0,3,1]			NA
20		Cell Over Voltage Protect		47				NA		[0,0,117] == 1		NA			[0,3,1]			NA
21		Cell Under Voltage Protect		49				NA		[0,0,119] == 1		NA			[0,3,1]			NA
22		Battery Over Voltage Protect		48				MA		[0,0,118] == 1		NA			[0,3,1]			NA
23		Battery Under Voltage Protect		50				MA		[0,0,120] == 1		NA			[0,3,1]			NA
24		Charge High Current Protect		51				MA		[0,0,121] == 1		NA			[0,3,1]			NA
25		Charge Very High Current Protect	52				MA		[0,0,122] == 1		NA			[0,3,1]			NA
26		Discharge High Current Protect		53				MA		[0,0,123] == 1		NA			[0,3,1]			NA
27		Discharge Very High Current Protect	54				MA		[0,0,124] == 1		NA			[0,3,1]			NA
28		Short Circuit Protect			55				MA		[0,0,125] == 1		NA			[0,3,1]			NA
29		Charge High Temperature Protect		57				MA		[0,0,126] == 1		NA			[0,3,1]			NA
30		Charge Low Temperature Protect		58				MA		[0,0,127] == 1		NA			[0,3,1]			NA
31		Discharge High Temperature Protect	59				MA		[0,0,128] == 1		NA			[0,3,1]			NA
32		Discharge Low Temperature Protect	60				MA		[0,0,129] == 1		NA			[0,3,1]			NA




